## org.apache.mahout.math.jet.random
Class Zeta

    java.lang.Object
      org.apache.mahout.math.PersistentObject
          org.apache.mahout.math.jet.random.AbstractDistribution
              org.apache.mahout.math.jet.random.AbstractDiscreteDistribution
                  org.apache.mahout.math.jet.random.Zeta

All Implemented Interfaces:
  java.io.Serializable, java.lang.Cloneable, org.apache.mahout.math.function.DoubleFunction, IntFunction, UnaryFunction

Deprecated. until unit tests are in place. Until this time, this class/interface is unsupported.

    @Deprecated
    public class Zeta

extends AbstractDiscreteDistribution

See Also:
  Serialized Form

Field Summary

Fields inherited from class org.apache.mahout.math.jet.random.AbstractDistribution
`randomGenerator`

Constructor Summary
`Zeta(double ro, double pk, java.util.Random randomGenerator)` Deprecated. Constructs a Zeta distribution.

Method Summary
`protected long` `generateZeta(double ro, double pk, java.util.Random randomGenerator)` Deprecated. Returns a zeta distributed random number.
`int` `nextInt()` Deprecated.
`void` `setState(double ro, double pk)` Deprecated. Returns a random number from the distribution.
`java.lang.String` `toString()` Deprecated. Returns a String representation of the receiver.

Methods inherited from class org.apache.mahout.math.jet.random.AbstractDiscreteDistribution
`nextDouble`

Methods inherited from class org.apache.mahout.math.jet.random.AbstractDistribution
`apply, apply, getRandomGenerator, setRandomGenerator`

Methods inherited from class org.apache.mahout.math.PersistentObject
`clone`

Methods inherited from class java.lang.Object
`equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### Zeta

    public Zeta(double ro,
                double pk,
                java.util.Random randomGenerator)

  Deprecated.
  Constructs a Zeta distribution.

Method Detail

### nextInt

    public int nextInt()

  Deprecated.
  Specified by:
    `nextInt` in class `AbstractDiscreteDistribution`
  Returns:
    A random number from the distribution; returns `(int) Math.round(nextDouble())`. Override this method if necessary.

### generateZeta

    protected long generateZeta(double ro,
                                double pk,
                                java.util.Random randomGenerator)

  Deprecated.
  Returns a zeta distributed random number.

### setState

    public void setState(double ro,
                         double pk)

  Deprecated.
  Returns a random number from the distribution.

### toString

    public java.lang.String toString()

  Deprecated.
  Returns a String representation of the receiver.

  Overrides:
    `toString` in class `java.lang.Object`

Copyright © 2008-2010 The Apache Software Foundation. All Rights Reserved.